Cyberduck Mountain Duck CLI

#7790 closed enhancement (fixed)

Register URL handler

Reported by: kevink Owned by: dkocher
Priority: normal Milestone: 4.8
Component: webdav Version: 4.4.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

RFC4709 is the recommended way to get browsers to open an external webdav tool.

It looks like the webserver should return a response has the 'application/davmount+xml' mime-type and can be saved as an xml file with a .davmount file extension.

Alternatively, some webdav tools install a protocol handler for the 'dav:' uri scheme which seems blessed by the IETF, but it seems that is considered bad form by some folk.

Change History (5)

comment:1 Changed on Feb 12, 2014 at 4:36:49 PM by dkocher

  • Summary changed from Launch Cyberduck from webbrowser to Register URL handler

comment:2 Changed on Feb 13, 2014 at 12:54:26 PM by dkocher

The issue with dav:// URL schemes is that not all browsers will pass these to the registered application for the scheme. It works in Safari here but not in Chrome.

comment:3 Changed on Feb 13, 2014 at 12:58:30 PM by dkocher

  • Description modified (diff)

comment:4 Changed on Jul 22, 2014 at 8:31:12 AM by christoph preisser

This sounds really interesting. Is it planned to implement this? Maybe then cyberduck would be the right tool for our customers to use together with our own product.

comment:5 Changed on Jan 19, 2016 at 1:57:03 PM by dkocher

  • Milestone set to 4.8
  • Resolution set to fixed
  • Status changed from new to closed

In r19080.

Note: See TracTickets for help on using tickets.
swiss made software